Index: orxonox/trunk/src/lib/coord/null_parent.cc
===================================================================
--- orxonox/trunk/src/lib/coord/null_parent.cc	(revision 4443)
+++ orxonox/trunk/src/lib/coord/null_parent.cc	(revision 4444)
@@ -26,7 +26,7 @@
 NullParent* NullParent::getInstance ()
 {
-  if(!singletonRef)
-    singletonRef = new NullParent ();
-  return singletonRef;
+  if(!NullParent::singletonRef)
+    NullParent::singletonRef = new NullParent ();
+  return NullParent::singletonRef;
 }
 
@@ -35,6 +35,6 @@
   this->setName("NullParent");
   this->setClassID(CL_NULL_PARENT, "NullParent");
-  singletonRef = this;
-  this->setMode(PNODE_ALL);
+  NullParent::singletonRef = this;
+  this->setParentMode(PNODE_ALL);
 }
 
Index: orxonox/trunk/src/lib/coord/p_node.cc
===================================================================
--- orxonox/trunk/src/lib/coord/p_node.cc	(revision 4443)
+++ orxonox/trunk/src/lib/coord/p_node.cc	(revision 4444)
@@ -52,4 +52,6 @@
 {
   this->init(NULL);
+  this->loadParams(root);
+  
   NullParent::getInstance()->addChild(this);
 }
@@ -291,5 +293,5 @@
    use this to add a child to this node.
 */
-void PNode::addChild (PNode* pNode, int parentingMode)
+void PNode::addChild (PNode* pNode, int parentMode)
 {
   if( likely(pNode->parent != NULL))
@@ -298,5 +300,5 @@
       pNode->parent->children->remove(pNode);
     }
-  pNode->mode = parentingMode;
+  pNode->parentMode = parentMode;
   pNode->parent = this;
   this->children->add(pNode);
@@ -332,5 +334,5 @@
   while( pn != NULL) 
     { 
-      nullParent->addChild(pn, pn->getMode());
+      nullParent->addChild(pn, pn->getParentMode());
       pn = iterator->nextElement();
     }
@@ -354,17 +356,7 @@
    \param mode the mode of the bind-type.
 */
-void PNode::setMode (int parentingMode)
-{
-  this->mode = parentingMode;
-}
-
-
-/**
-   \brief gets the mode of this parent manualy
-   \return the mode of the bind-type.
-*/
-int PNode::getMode() const
-{
-  return this->mode;
+void PNode::setParentMode (unsigned int parentMode)
+{
+  this->parentMode = parentMode;
 }
 
@@ -415,5 +407,5 @@
 
 
-      if( likely(this->mode & PNODE_MOVEMENT))
+      if( likely(this->parentMode & PNODE_MOVEMENT))
 	{
 	  if( unlikely(this->bAbsCoorChanged) /*&& this->timeStamp != DataTank::timeStamp*/)
@@ -437,5 +429,5 @@
 	}
   
-      if( this->mode & PNODE_LOCAL_ROTATE)
+      if( this->parentMode & PNODE_LOCAL_ROTATE)
 	{
 	  if( unlikely(this->bAbsDirChanged) /*&& this->timeStamp != DataTank::timeStamp*/)
@@ -451,5 +443,5 @@
 	}
   
-      if( this->mode & PNODE_ROTATE_MOVEMENT)
+      if( this->parentMode & PNODE_ROTATE_MOVEMENT)
 	{
 	  if( unlikely(this->bAbsCoorChanged) /*&& this->timeStamp != DataTank::timeStamp*/)
Index: orxonox/trunk/src/lib/coord/p_node.h
===================================================================
--- orxonox/trunk/src/lib/coord/p_node.h	(revision 4443)
+++ orxonox/trunk/src/lib/coord/p_node.h	(revision 4444)
@@ -88,6 +88,6 @@
 
   void setParent (PNode* parent);
-  void setMode (int parentingMode);
-  int getMode() const;
+  void setParentMode (unsigned int parentingMode);
+  int getParentMode() const { return this->parentMode; };
 
   void update (float dt);
@@ -122,5 +122,5 @@
   tList<PNode>*   children;           //!< list of the children
 
-  unsigned int    mode;               //!< the mode of the binding
+  unsigned int    parentMode;         //!< the mode of the binding
 };
 
Index: orxonox/trunk/src/story_entities/world.cc
===================================================================
--- orxonox/trunk/src/story_entities/world.cc	(revision 4443)
+++ orxonox/trunk/src/story_entities/world.cc	(revision 4444)
@@ -447,6 +447,6 @@
   tn->addChild(this->localCamera);
   localCamera->lookAt(tn);
-  localCamera->setMode(PNODE_MOVEMENT);
-  this->localPlayer->setMode(PNODE_ALL);
+  localCamera->setParentMode(PNODE_MOVEMENT);
+  this->localPlayer->setParentMode(PNODE_ALL);
   Vector* cameraOffset = new Vector (0, 5, -10);
   trackManager->condition(2, LEFTRIGHT, this->localPlayer);
@@ -625,5 +625,5 @@
 	this->spawn(this->sky);
 	this->localCamera->addChild(this->sky);
-	this->sky->setMode(PNODE_MOVEMENT);
+	this->sky->setParentMode(PNODE_MOVEMENT);
 	/*monitor progress*/
 	this->glmis->step();
@@ -659,5 +659,5 @@
 	
 	tn->addChild(this->localCamera);
-	this->localPlayer->setMode(PNODE_ALL);
+	this->localPlayer->setParentMode(PNODE_ALL);
 	trackManager->condition(2, LEFTRIGHT, this->localPlayer);
 	*/
@@ -1143,5 +1143,5 @@
       entity->setRelCoor (*relCoor);
       entity->setRelDir (*relDir);
-      entity->setMode(parentingMode);
+      entity->setParentMode(parentingMode);
       
       this->entities->add (entity);
Index: orxonox/trunk/src/util/track/track_node.cc
===================================================================
--- orxonox/trunk/src/util/track/track_node.cc	(revision 4443)
+++ orxonox/trunk/src/util/track/track_node.cc	(revision 4444)
@@ -37,13 +37,5 @@
   NullParent::getInstance()->addChild(this);
   this->trackManager = TrackManager::getInstance();
-  this->setMode(PNODE_ALL);
-}
-
-
-TrackNode::TrackNode (const Vector& absCoordinate)
-{
-  this->trackManager = TrackManager::getInstance();
-  this->setMode(PNODE_ALL);
-  this->setAbsCoor(absCoordinate);
+  this->setParentMode(PNODE_ALL);
 }
 
Index: orxonox/trunk/src/world_entities/camera.cc
===================================================================
--- orxonox/trunk/src/world_entities/camera.cc	(revision 4443)
+++ orxonox/trunk/src/world_entities/camera.cc	(revision 4444)
@@ -229,5 +229,5 @@
 {
   this->setClassID(CL_CAMERA_TARGET, "CameraTarget");
-  this->setMode(PNODE_MOVEMENT);
+  this->setParentMode(PNODE_MOVEMENT);
 }
 
Index: orxonox/trunk/src/world_entities/skybox.cc
===================================================================
--- orxonox/trunk/src/world_entities/skybox.cc	(revision 4443)
+++ orxonox/trunk/src/world_entities/skybox.cc	(revision 4444)
@@ -45,4 +45,7 @@
 }
 
+/**
+   \brief initializes a skybox from a XmlElement
+*/
 SkyBox::SkyBox(const TiXmlElement* root)
 {
@@ -75,5 +78,5 @@
       this->material[i]->setAmbient(2.0, 2.0, 2.0);
     }
-  this->setMode(PNODE_MOVEMENT);
+  this->setParentMode(PNODE_MOVEMENT);
 }
 
Index: orxonox/trunk/src/world_entities/skysphere.cc
===================================================================
--- orxonox/trunk/src/world_entities/skysphere.cc	(revision 4443)
+++ orxonox/trunk/src/world_entities/skysphere.cc	(revision 4444)
@@ -68,5 +68,5 @@
   PRINTF(1)("initializing the Skysphere with Material %s.\n", fileName);
   this->sphereObj = gluNewQuadric();
-  this->setMode(PNODE_MOVEMENT);
+  this->setParentMode(PNODE_MOVEMENT);
 
   gluQuadricTexture(this->sphereObj, GL_TRUE);