Index: /orxonox/trunk/src/lib/coord/helper_parent.cc
===================================================================
--- /orxonox/trunk/src/lib/coord/helper_parent.cc	(revision 4447)
+++ /orxonox/trunk/src/lib/coord/helper_parent.cc	(revision 4448)
@@ -25,6 +25,4 @@
 /**
    \brief standard constructor
-
-   \todo this constructor is not jet implemented - do it
 */
 HelperParent::HelperParent () 
@@ -36,6 +34,4 @@
 /**
    \brief standard deconstructor
-
-   \todo this deconstructor is not jet implemented - do it
 */
 HelperParent::~HelperParent () 
Index: /orxonox/trunk/src/lib/coord/helper_parent.h
===================================================================
--- /orxonox/trunk/src/lib/coord/helper_parent.h	(revision 4447)
+++ /orxonox/trunk/src/lib/coord/helper_parent.h	(revision 4448)
@@ -12,5 +12,5 @@
 
 
-
+//! The HelperParent is a PNode that acts as a Helper.
 class HelperParent : public PNode {
 
Index: /orxonox/trunk/src/lib/coord/null_parent.cc
===================================================================
--- /orxonox/trunk/src/lib/coord/null_parent.cc	(revision 4447)
+++ /orxonox/trunk/src/lib/coord/null_parent.cc	(revision 4448)
@@ -24,4 +24,7 @@
 NullParent* NullParent::singletonRef = 0;
 
+/**
+   \returns the Reference to the NullParent
+*/
 NullParent* NullParent::getInstance ()
 {
@@ -31,10 +34,15 @@
 }
 
+/**
+   \brief creates the one and only NullParent
+   \param absCoordinate the cordinate of the Parent (normally Vector(0,0,0))
+*/
 NullParent::NullParent (const Vector& absCoordinate) : PNode (absCoordinate, NULL)
 {
+  this->setClassID(CL_NULL_PARENT, "NullParent");
   this->setName("NullParent");
-  this->setClassID(CL_NULL_PARENT, "NullParent");
+
+  this->setParentMode(PNODE_ALL);
   NullParent::singletonRef = this;
-  this->setParentMode(PNODE_ALL);
 }
 
@@ -42,10 +50,8 @@
 /**
    \brief standard deconstructor
-
-   \todo this deconstructor is not jet implemented - do it
 */
 NullParent::~NullParent () 
 {
   //delete singletonRef;
-  singletonRef = NULL;
+  NullParent::singletonRef = NULL;
 }
Index: /orxonox/trunk/src/lib/coord/null_parent.h
===================================================================
--- /orxonox/trunk/src/lib/coord/null_parent.h	(revision 4447)
+++ /orxonox/trunk/src/lib/coord/null_parent.h	(revision 4448)
@@ -1,5 +1,5 @@
 /*! 
-    \file proto_class.h
-    \brief Definition of the proto class template, used quickly start work
+    \file null_parent.h
+    \brief Definition of the NullParent, the higest PNode of them all.
 */
 
@@ -8,8 +8,7 @@
 #define _NULL_PARENT_H
 
-
 #include "p_node.h"
 
-
+//! The top joint of all PNode's every PNode is somehow connected to this one.
 class NullParent : public PNode {
 
@@ -18,8 +17,9 @@
   virtual ~NullParent ();
 
+ private:
+  NullParent (const Vector& absCoordinate = Vector());
 
  private:
-  NullParent (const Vector& absCoordinate = Vector());
-  static NullParent* singletonRef;
+  static NullParent* singletonRef;        //!< A reference to the NullParent
 
 };
Index: /orxonox/trunk/src/lib/coord/p_node.cc
===================================================================
--- /orxonox/trunk/src/lib/coord/p_node.cc	(revision 4447)
+++ /orxonox/trunk/src/lib/coord/p_node.cc	(revision 4448)
@@ -39,6 +39,4 @@
 /**
    \brief standard constructor
-
-   \todo this constructor is not jet implemented - do it
 */
 PNode::PNode () 
@@ -49,4 +47,7 @@
 }
 
+/**
+   \param root the load-Element for the PNode
+*/
 PNode::PNode(const TiXmlElement* root)
 {
@@ -94,4 +95,8 @@
 }
 
+/**
+   \brief initializes a PNode
+   \param parent the parent for this PNode
+*/
 void PNode::init(PNode* parent)
 {
@@ -104,19 +109,12 @@
 }
 
+/**
+   \brief loads parameters of the PNode
+   \param root the XML-element to load the properties of
+*/
 void PNode::loadParams(const TiXmlElement* root)
 {
   static_cast<BaseObject*>(this)->loadParams(root);
 }
-
-/**
-   \brief get relative coordinates
-   \returns relative coordinates to its parent
-   
-   the reference that is returned is a pointer to the real relCoor, so don't 
-   change it unless you realy know what you are doing.
-*/
-//Vector* PNode::getRelCoor () const
-
-
 
 /**
@@ -128,21 +126,4 @@
    has changed and won't update the children Nodes.
 */
-/*
-void PNode::setRelCoor (Vector* relCoord)
-{
-  this->bRelCoorChanged = true;
-  *this->relCoordinate = *relCoord;
-}
-*/
-
-
-/**
-   \brief set relative coordinates
-   \param relCoord relative coordinates to its parent
-
-   it is very importand, that you use this function, if you want to update the
-   relCoordinates. If you don't use this, the PNode won't recognize, that something
-   has changed and won't update the children Nodes.
-*/
 void PNode::setRelCoor (const Vector& relCoord)
 {
@@ -150,15 +131,4 @@
   this->relCoordinate = relCoord;
 }
-
-
-/**
-   \brief get absolute coordinates
-   \returns absolute coordinates from (0,0,0)
-*/
-//Vector PNode::getAbsCoor () const
-
-
-
-
 
 /**
@@ -175,8 +145,7 @@
 }
 
-
 /**
    \brief shift coordinate (abs and rel)
-   \param shift vector
+   \param shift shift vector
 
    this function shifts the current coordinates about the vector shift. this is
@@ -210,14 +179,4 @@
 }
 
-
-
-/**
-   \brief get relative direction
-   \returns relative direction to its parent
-*/
-//Quaternion* PNode::getRelDir () const
-
-
-
 /**
    \brief set relative direction
@@ -234,13 +193,4 @@
 }
 
-
-/**
-   \brief gets the absolute direction (0,0,1)
-   \returns absolute coordinates
-*/
-//Quaternion PNode::getAbsDir () const
-
-
-
 /**
    \brief sets the absolute direction (0,0,1)
@@ -256,6 +206,4 @@
   this->absDirection = absDir;
 }
-
-
 
 /**
@@ -289,5 +237,5 @@
    \brief adds a child and makes this node to a parent
    \param pNode child reference
-   \param mode on which changes the child should also change ist state
+   \param parentMode on which changes the child should also change ist state
 
    use this to add a child to this node.
@@ -304,5 +252,4 @@
   this->children->add(pNode);
 }
-
 
 /**
@@ -354,5 +301,5 @@
 /**
    \brief set the mode of this parent manualy
-   \param mode the mode of the bind-type.
+   \param parentMode the mode of the bind-type.
 */
 void PNode::setParentMode (unsigned int parentMode)
@@ -375,22 +322,7 @@
 */
 
-
-/**
-   \brief has to be called, if the parent direction has changed
-   
-   normaly this will be done by the parent itself automaticaly. If you call this, you
-   will force an update of the direction of the node.
-*/
-/*
-void PNode::parentDirChanged ()
-{
-  this->bRelDirChanged = true;
-}
-*/
-
-
 /**
    \brief updates the absCoordinate/absDirection
-   \param timeStamp The timestanp used for to look if calculations should be done
+   \param dt The time passed since the last update
 
    this is used to go through the parent-tree to update all the absolute coordinates
@@ -512,23 +444,4 @@
 }
 
-
-/**
-  \brief tick
-  \param dt time to tick
-*/
-void PNode::processTick (float dt)
-{
-  //this->tick (dt);
-  /*
-  PNode* pn = this->children->enumerate();
-  while( pn != NULL) 
-    { 
-      pn->processTick (dt);
-      pn = this->children->nextElement();
-    } 
-  */
-}
-
-
 /**
    \brief displays some information about this pNode
Index: /orxonox/trunk/src/lib/coord/p_node.h
===================================================================
--- /orxonox/trunk/src/lib/coord/p_node.h	(revision 4447)
+++ /orxonox/trunk/src/lib/coord/p_node.h	(revision 4448)
@@ -61,5 +61,5 @@
   inline const Vector& getRelCoor () const { return this->relCoordinate; };
   void setAbsCoor (const Vector& absCoord);
-  /** \retuns the absolute position */
+  /** \returns the absolute position */
   inline const Vector& getAbsCoor () const { return this->absCoordinate; };
   void shiftCoor (const Vector& shift);
@@ -89,8 +89,8 @@
   void setParent (PNode* parent);
   void setParentMode (unsigned int parentingMode);
+  /** \returns the Parenting mode of this node */
   int getParentMode() const { return this->parentMode; };
 
   void update (float dt);
-  void processTick (float dt);
 
   void debug ();
@@ -99,5 +99,7 @@
  private:
   void init(PNode* parent);
+  /** \brief tells the child that the parent's Coordinate has changed */
   inline void parentCoorChanged () { this->bRelCoorChanged = true; }
+  /** \brief tells the child that the parent's Direction has changed */
   inline void parentDirChanged () { this->bRelDirChanged = true; }
   /** \returns the last calculated coordinate */
Index: /orxonox/trunk/src/lib/coord/pilot_node.cc
===================================================================
--- /orxonox/trunk/src/lib/coord/pilot_node.cc	(revision 4447)
+++ /orxonox/trunk/src/lib/coord/pilot_node.cc	(revision 4448)
@@ -14,4 +14,6 @@
    main-programmer: Patrick Boenzli
    co-programmer: ...
+
+   bensch: added comments
 */
 
@@ -23,9 +25,6 @@
 using namespace std;
 
-
 /**
    \brief standard constructor
-
-   \todo this constructor is not jet implemented - do it
 */
 PilotNode::PilotNode () 
@@ -38,9 +37,6 @@
 }
 
-
 /**
    \brief standard deconstructor
-
-   \todo this deconstructor is not jet implemented - do it
 */
 PilotNode::~PilotNode () 
@@ -49,5 +45,8 @@
 }
 
-
+/** 
+    \brief ticks the node
+    \param time the time about whitch to tick						\
+*/
 void PilotNode::tick(float time)
 {
@@ -97,5 +96,8 @@
 }
 
-
+/**
+   \brief handles events
+   \param event the event that occured
+*/
 void PilotNode::process( const Event &event)
 {
Index: /orxonox/trunk/src/lib/coord/pilot_node.h
===================================================================
--- /orxonox/trunk/src/lib/coord/pilot_node.h	(revision 4447)
+++ /orxonox/trunk/src/lib/coord/pilot_node.h	(revision 4448)
@@ -1,5 +1,5 @@
 /*! 
-    \file helper_parent.h
-    \brief this is a parent class, that isn't visible in the real world itself
+    \file pilot_node.h
+    \brief Definition of a PilotNode
 */
 
@@ -13,4 +13,5 @@
 class Event;
 
+//! The PilotNode is a node that enables the is driven by the Mouse
 class PilotNode : public WorldEntity, public EventListener {
 
@@ -19,7 +20,7 @@
   virtual ~PilotNode ();
 
-  void tick(float time);
+  virtual void tick(float time);
 
-  void process(const Event &event);
+  virtual void process(const Event &event);
 
  private:
@@ -27,15 +28,15 @@
 
  private:
-  bool bUp;              //!< up button pressed.
-  bool bDown;            //!< down button pressed.
-  bool bLeft;            //!< left button pressed.
-  bool bRight;           //!< right button pressed.
+  bool        bUp;            //!< up button pressed.
+  bool        bDown;          //!< down button pressed.
+  bool        bLeft;          //!< left button pressed.
+  bool        bRight;         //!< right button pressed.
 
-  int pitch;
-  int roll;
+  int         pitch;          //!< the pitch of the node
+  int         roll;           //!< the roll of the node
 
-  Vector* velocity;       //!< the velocity of the player.
-  float travelSpeed;     //!< the current speed of the player (to make soft movement)
-  float acceleration;    //!< the acceleration of the player.
+  Vector*     velocity;       //!< the velocity of the player.
+  float       travelSpeed;    //!< the current speed of the player (to make soft movement)
+  float       acceleration;   //!< the acceleration of the player.
 
 