Index: orxonox/trunk/src/Makefile.am
===================================================================
--- orxonox/trunk/src/Makefile.am	(revision 4448)
+++ orxonox/trunk/src/Makefile.am	(revision 4449)
@@ -131,4 +131,5 @@
 		 defs/globals.h \
 		 defs/compiler.h \
+		 defs/class_list.h \
 		 lib/coord/p_node.h \
 		 lib/coord/null_parent.h \
@@ -157,6 +158,5 @@
 		 lib/math/curve.h \
 		 glmenu/glmenu_imagescreen.h \
-		 subprojects/benchmark.h \
-		 class_list.h
+		 subprojects/benchmark.h 
 
 
Index: orxonox/trunk/src/Makefile.in
===================================================================
--- orxonox/trunk/src/Makefile.in	(revision 4448)
+++ orxonox/trunk/src/Makefile.in	(revision 4449)
@@ -367,4 +367,5 @@
 		 defs/globals.h \
 		 defs/compiler.h \
+		 defs/class_list.h \
 		 lib/coord/p_node.h \
 		 lib/coord/null_parent.h \
@@ -393,6 +394,5 @@
 		 lib/math/curve.h \
 		 glmenu/glmenu_imagescreen.h \
-		 subprojects/benchmark.h \
-		 class_list.h
+		 subprojects/benchmark.h 
 
 EXTRA_DIST = proto/proto_class.h \
Index: orxonox/trunk/src/class_list.h
===================================================================
--- orxonox/trunk/src/class_list.h	(revision 4448)
+++ 	(revision )
@@ -1,92 +1,0 @@
-/*! 
-    \file class_list.h
-    \brief list of orxonox classes
-
-    this is used by the ObjectManager to identify and load important classes
-*/
-
-#ifndef _CLASS_LIST_H
-#define _CLASS_LIST_H
-
-
-//! list of all classes to be loadable in via the ObjectManager
-typedef enum classList 
-{
-  CL_ORXONOX,
-
-  CL_PARENT,
-  CL_HELPER_PARENT,
-  CL_NULL_PARENT,
-  CL_CAMERA,
-  CL_CAMERA_TARGET,
-  CL_PILOT_PARENT,
-
-  CL_WORLD_ENTITY,
-  CL_ENVIRONEMENT,
-  CL_NPC,
-  CL_PLAYER,
-  CL_POWER_UP,
-  CL_PROJECTILE,
-  CL_SATELLITE,
-  CL_SKYBOX,
-  CL_SKYSPHERE,
-  CL_TERRAIN,
-  CL_TEST_BULLET,
-  CL_TEST_ENTITY,
-  CL_TEST_GUN,
-  CL_WEAPON,
-  CL_CHARACTER_ATTRIBUTES,
-
-  CL_STORY_ENTITY,
-  CL_CAMPAIGN,
-  CL_WORLD,
-  CL_TRACK_MANAGER,
-  CL_TRACK_NODE,
-
-  CL_ANIMATION,
-  CL_ANIMATION3D,
-  CL_ANIMATION_PLAYER,
-
-  CL_ARRAY,
-  CL_BASE_OBJECT,
-  CL_CURVE,
-  CL_VECTOR,
-  CL_FACTORY,
-  CL_INI_PARSER,
-  CL_LIST,
-  CL_SUBSTRING,
-  CL_LOAD_PARAM,
-
-  CL_OBJECT_MANAGER,
-  CL_RESOURCE_MANAGER,
-  CL_GARBAGE_COLLECTOR,
-  CL_GAME_LOADER,
-  CL_COMMAND_NODE,
-
-  CL_EVENT,
-  CL_EVENT_HANDLER,
-  CL_EVENT_LISTENER,
-  CL_KEY_MAPPER,
-
-  CL_GRAPHICS_ENGINE,  
-  CL_TEXT_ENGINE,
-  CL_TEXT,
-  CL_GLMENU_IMAGE_SCREEN,
-  CL_LIGHT,
-  CL_LIGHT_MANAGER,
-  CL_MATERIAL,
-  CL_MD2Model,
-  CL_MODEL,
-  CL_OBJMODEL,
-  CL_PROMITIVE_MODEL,
-  
-  CL_PARTICLE_EMITTER,
-  CL_PARTICLE_ENGINE,
-  CL_PARTICLE_SYSTEM,
-  
-
-  CL_NUMBER
-};
-
-
-#endif /* _CLASS_LIST_H */
Index: orxonox/trunk/src/defs/class_list.h
===================================================================
--- orxonox/trunk/src/defs/class_list.h	(revision 4449)
+++ orxonox/trunk/src/defs/class_list.h	(revision 4449)
@@ -0,0 +1,92 @@
+/*! 
+    \file class_list.h
+    \brief list of orxonox classes
+
+    this is used by the ObjectManager to identify and load important classes
+*/
+
+#ifndef _CLASS_LIST_H
+#define _CLASS_LIST_H
+
+
+//! list of all classes to be loadable in via the ObjectManager
+typedef enum classList 
+{
+  CL_ORXONOX,
+
+  CL_PARENT,
+  CL_HELPER_PARENT,
+  CL_NULL_PARENT,
+  CL_CAMERA,
+  CL_CAMERA_TARGET,
+  CL_PILOT_PARENT,
+
+  CL_WORLD_ENTITY,
+  CL_ENVIRONEMENT,
+  CL_NPC,
+  CL_PLAYER,
+  CL_POWER_UP,
+  CL_PROJECTILE,
+  CL_SATELLITE,
+  CL_SKYBOX,
+  CL_SKYSPHERE,
+  CL_TERRAIN,
+  CL_TEST_BULLET,
+  CL_TEST_ENTITY,
+  CL_TEST_GUN,
+  CL_WEAPON,
+  CL_CHARACTER_ATTRIBUTES,
+
+  CL_STORY_ENTITY,
+  CL_CAMPAIGN,
+  CL_WORLD,
+  CL_TRACK_MANAGER,
+  CL_TRACK_NODE,
+
+  CL_ANIMATION,
+  CL_ANIMATION3D,
+  CL_ANIMATION_PLAYER,
+
+  CL_ARRAY,
+  CL_BASE_OBJECT,
+  CL_CURVE,
+  CL_VECTOR,
+  CL_FACTORY,
+  CL_INI_PARSER,
+  CL_LIST,
+  CL_SUBSTRING,
+  CL_LOAD_PARAM,
+
+  CL_OBJECT_MANAGER,
+  CL_RESOURCE_MANAGER,
+  CL_GARBAGE_COLLECTOR,
+  CL_GAME_LOADER,
+  CL_COMMAND_NODE,
+
+  CL_EVENT,
+  CL_EVENT_HANDLER,
+  CL_EVENT_LISTENER,
+  CL_KEY_MAPPER,
+
+  CL_GRAPHICS_ENGINE,  
+  CL_TEXT_ENGINE,
+  CL_TEXT,
+  CL_GLMENU_IMAGE_SCREEN,
+  CL_LIGHT,
+  CL_LIGHT_MANAGER,
+  CL_MATERIAL,
+  CL_MD2Model,
+  CL_MODEL,
+  CL_OBJMODEL,
+  CL_PROMITIVE_MODEL,
+  
+  CL_PARTICLE_EMITTER,
+  CL_PARTICLE_ENGINE,
+  CL_PARTICLE_SYSTEM,
+  
+
+  CL_NUMBER
+};
+
+
+#endif /* _CLASS_LIST_H */