Index: orxonox/trunk/src/util/event/event.cc
===================================================================
--- orxonox/trunk/src/util/event/event.cc	(revision 4449)
+++ orxonox/trunk/src/util/event/event.cc	(revision 4450)
@@ -23,5 +23,4 @@
 /**
    \brief standard constructor
-   \todo this constructor is not jet implemented - do it
 */
 Event::Event () 
Index: orxonox/trunk/src/util/event/event_def.h
===================================================================
--- orxonox/trunk/src/util/event/event_def.h	(revision 4449)
+++ orxonox/trunk/src/util/event/event_def.h	(revision 4450)
@@ -17,7 +17,8 @@
 #define DEFAULT_KEYBIND_FILE "~/.orxonox/orxonox.conf"
 
+
 #define EVENT_QUEUE_LENGTH 32
 
-
+//! these are the extended event types, that are not included in SDL_keysym
 typedef enum extEventTyes
   {
@@ -38,15 +39,14 @@
   };
 
-
-
+//! this is an enumeration of all states of the event_handler/game
 typedef enum elState
   {
-    ES_GAME,
-    ES_GAME_MENU,
-    ES_MENU,
+    ES_GAME,           //!< the state during the game plays
+    ES_GAME_MENU,      //!< state when the menu is called during game
+    ES_MENU,           //!< orxonox menu state
 
-    ES_ALL,
+    ES_ALL,            //!< you want to register events for all states
 
-    ES_NUMBER,
+    ES_NUMBER,         //!< the number of states
   };
 
Index: orxonox/trunk/src/util/event/event_handler.cc
===================================================================
--- orxonox/trunk/src/util/event/event_handler.cc	(revision 4449)
+++ orxonox/trunk/src/util/event/event_handler.cc	(revision 4450)
@@ -79,5 +79,9 @@
 
 
-
+/**
+   \brief initializes the event handler
+
+   this has to be called before the use of the event handler
+*/
 void EventHandler::init()
 {
@@ -87,5 +91,8 @@
 
 
-
+/**
+   \brief set the state of the event handler
+   \param state to which the event handler shall change
+*/
 void EventHandler::setState(elState state)
 {
@@ -94,7 +101,17 @@
 
 
+/**
+   \brief subscribe to an event
+   \param the event listener that wants to subscribe itself, the listener that will be called when the evetn occures
+   \param state for which the listener wants to receive events
+   \param the event type that wants to be listened for.
+
+   This is one of the most important function of the EventHandler. If you would like to subscribe for more
+   than one state, you have to subscribe for each state again. If you want to subscribe for all states, use
+   state = ES_ALL, which will subscribe your listener for all states together.
+*/
 void EventHandler::subscribe(EventListener* el, elState state, int eventType)
 {
-  PRINTF(0)("Subscribing event type: %i\n", eventType);
+  PRINTF(4)("Subscribing event type: %i\n", eventType);
   if( state == ES_ALL )
     {
@@ -103,5 +120,5 @@
 	  this->listeners[i][eventType] = el;
 	else
-	  PRINTF(0)("Someone tried to subscribe to event %i @ state %i but this event has already been subscribed\n", eventType, state);
+	  PRINTF(1)("Someone tried to subscribe to event %i @ state %i but this event has already been subscribed\n", eventType, state);
     }
   else 
@@ -111,35 +128,29 @@
       }
     else
-      PRINTF(0)("Someone tried to subscribe to event %i @ state %i but this event has already been subscribed\n", eventType, state);
-}
-
-
+      PRINTF(1)("Someone tried to subscribe to event %i @ state %i but this event has already been subscribed\n", eventType, state);
+}
+
+
+/**
+   \brief unsubscribe from the EventHandler
+   \param the stat in which it has been subscribed
+   \param the event, that shall be unsubscribed
+
+   if you want to unsubscribe an event listener from all subscribed events, just use the 
+   unsubscribe(EventListener* el, elState state) function
+*/
 void EventHandler::unsubscribe(elState state, int eventType)
 {
-  PRINTF(0)("Unsubscribing event type nr: %i\n", eventType);
+  PRINTF(4)("Unsubscribing event type nr: %i\n", eventType);
   this->listeners[state][eventType] = NULL;
 }
 
-void EventHandler::flush(elState state)
-{
-  if( state == ES_ALL)
-    {
-      for(int i = 0; i < ES_NUMBER; ++i)
-	{
-	  for(int j = 0; j < EV_NUMBER; ++j)
-	    {
-	      this->listeners[i][j] = NULL;
-	    }
-	}
-    }
-  else
-    {
-      for(int j = 0; j < EV_NUMBER; ++j)
-	{
-	  this->listeners[state][j] = NULL;
-	}
-    }
-}
-
+
+/**
+   \brief unsubscribe all events from a specific listener
+   \param the listener that wants to unsubscribe itself
+   \param the state in which the events shall be unsubscribed
+   
+*/
 void EventHandler::unsubscribe(EventListener* el, elState state)
 {
@@ -166,5 +177,35 @@
 
 
-
+/**
+   \brief flush all registered events
+   \param in a specific state
+*/
+void EventHandler::flush(elState state)
+{
+  if( state == ES_ALL)
+    {
+      for(int i = 0; i < ES_NUMBER; ++i)
+	{
+	  for(int j = 0; j < EV_NUMBER; ++j)
+	    {
+	      this->listeners[i][j] = NULL;
+	    }
+	}
+    }
+  else
+    {
+      for(int j = 0; j < EV_NUMBER; ++j)
+	{
+	  this->listeners[state][j] = NULL;
+	}
+    }
+}
+
+
+/**
+   \brief core function of event handler: receives all events from SDL 
+
+   The event from the SDL framework are collected here and distributed to all listeners.
+*/
 void EventHandler::process()
 {
@@ -226,32 +267,22 @@
 
       /* small debug routine: shows alle events dispatched by the event handler */
-      PRINT(0)("\n==========================| EventHandler::process () |===\n");
-      PRINT(0)("=  Got Event nr %i, for state %i", ev.type, this->state);  
+      PRINT(4)("\n==========================| EventHandler::process () |===\n");
+      PRINT(4)("=  Got Event nr %i, for state %i", ev.type, this->state);  
       
       listener = this->listeners[this->state][ev.type];
       if( listener != NULL)
 	{
-	  PRINTF(0)("=  Event dispatcher msg: This event has been consumed\n");
+	  PRINT(4)("=  Event dispatcher msg: This event has been consumed\n");
+	  PRINT(4)("=======================================================\n");      
 	  listener->process(ev);
 	}
       else
 	{
-	  PRINTF(0)("=  Event dispatcher msg: This event has NOT been consumed\n");
-	}
-
-      PRINT(0)("=======================================================\n");      
-    }
-}
-
-
-void EventHandler::test()
-{
-  PRINT(0)("\n==========================| EventHandler::test () |===\n");  
-  PRINT(0)("Eventhandler init successfuly\n");
-  KeyMapper km;
-  PRINT(0)("KeyMapper loaded\n");
-  km.loadKeyBindings();
-  km.debug();
-
-  PRINT(0)("=======================================================\n");      
-}
+	  PRINT(4)("=  Event dispatcher msg: This event has NOT been consumed\n");
+	  PRINT(4)("=======================================================\n");      
+	}
+
+
+    }
+}
+
Index: orxonox/trunk/src/util/event/event_handler.h
===================================================================
--- orxonox/trunk/src/util/event/event_handler.h	(revision 4449)
+++ orxonox/trunk/src/util/event/event_handler.h	(revision 4450)
@@ -21,5 +21,4 @@
   static EventHandler* getInstance(void);
   virtual ~EventHandler(void);
-
   void init();
 
@@ -29,11 +28,7 @@
   void unsubscribe(elState state, int eventType);
   void unsubscribe(EventListener* el, elState state = ES_ALL);
-
   void flush(elState state);
 
-  void tick(float t);
   void process();
-
-  void test();
 
  private:
@@ -42,8 +37,8 @@
 
  private:
-  static EventHandler* singletonRef;
+  static EventHandler* singletonRef;                  //!< the singleton reference
   EventListener*** listeners;                         //!< a list of registered listeners
-  elState state;
-  KeyMapper* keyMapper;
+  elState state;                                      //!< the state of the event handlder
+  KeyMapper* keyMapper;                               //!< reference to the key mapper
 };
 