Index: /orxonox/trunk/src/util/event/event_listener.cc
===================================================================
--- /orxonox/trunk/src/util/event/event_listener.cc	(revision 4451)
+++ /orxonox/trunk/src/util/event/event_listener.cc	(revision 4452)
@@ -23,5 +23,4 @@
 /**
    \brief standard constructor
-   \todo this constructor is not jet implemented - do it
 */
 EventListener::EventListener () 
@@ -36,5 +35,3 @@
 */
 EventListener::~EventListener () 
-{
-  // delete what has to be deleted here
-}
+{}
Index: /orxonox/trunk/src/util/event/event_listener.h
===================================================================
--- /orxonox/trunk/src/util/event/event_listener.h	(revision 4451)
+++ /orxonox/trunk/src/util/event/event_listener.h	(revision 4452)
@@ -21,8 +21,4 @@
 
   virtual void process(const Event &event) = NULL;
-
- private:
-  
-
 };
 
Index: /orxonox/trunk/src/util/event/key_mapper.cc
===================================================================
--- /orxonox/trunk/src/util/event/key_mapper.cc	(revision 4451)
+++ /orxonox/trunk/src/util/event/key_mapper.cc	(revision 4452)
@@ -27,33 +27,33 @@
 
 
-
-int KeyMapper::PEV_UP = -1;
-int KeyMapper::PEV_DOWN = -1;
-int KeyMapper::PEV_LEFT = -1;
-int KeyMapper::PEV_RIGHT = -1;
-int KeyMapper::PEV_STRAFE_LEFT = -1;
-int KeyMapper::PEV_STRAFE_RIGHT = -1;
-
-int KeyMapper::PEV_FIRE1 = -1;
-int KeyMapper::PEV_FIRE2 = -1;
-int KeyMapper::PEV_PREVIOUS_WEAPON = -1;
-int KeyMapper::PEV_NEXT_WEAPON = -1;
-
-int KeyMapper::PEV_VIEW0 = -1;
-int KeyMapper::PEV_VIEW1 = -1;
-int KeyMapper::PEV_VIEW2 = -1;
-int KeyMapper::PEV_VIEW3 = -1;
-int KeyMapper::PEV_VIEW4 = -1;
-int KeyMapper::PEV_VIEW5 = -1; 
-
-int KeyMapper::PEV_NEXT_WORLD = -1;
-int KeyMapper::PEV_PREVIOUS_WORLD = -1;
-
-int KeyMapper::PEV_PAUSE = -1;
-int KeyMapper::PEV_QUIT = -1;
-
-
-
-
+/* initialize all variables to a reasonable value*/
+int KeyMapper::PEV_UP                = EV_UNKNOWN;
+int KeyMapper::PEV_DOWN              = EV_UNKNOWN;
+int KeyMapper::PEV_LEFT              = EV_UNKNOWN;
+int KeyMapper::PEV_RIGHT             = EV_UNKNOWN;
+int KeyMapper::PEV_STRAFE_LEFT       = EV_UNKNOWN;
+int KeyMapper::PEV_STRAFE_RIGHT      = EV_UNKNOWN;
+
+int KeyMapper::PEV_FIRE1             = EV_UNKNOWN;
+int KeyMapper::PEV_FIRE2             = EV_UNKNOWN;
+int KeyMapper::PEV_PREVIOUS_WEAPON   = EV_UNKNOWN;
+int KeyMapper::PEV_NEXT_WEAPON       = EV_UNKNOWN;
+
+int KeyMapper::PEV_VIEW0             = EV_UNKNOWN;
+int KeyMapper::PEV_VIEW1             = EV_UNKNOWN;
+int KeyMapper::PEV_VIEW2             = EV_UNKNOWN;
+int KeyMapper::PEV_VIEW3             = EV_UNKNOWN;
+int KeyMapper::PEV_VIEW4             = EV_UNKNOWN;
+int KeyMapper::PEV_VIEW5             = EV_UNKNOWN; 
+
+int KeyMapper::PEV_NEXT_WORLD        = EV_UNKNOWN;
+int KeyMapper::PEV_PREVIOUS_WORLD    = EV_UNKNOWN;
+
+int KeyMapper::PEV_PAUSE             = EV_UNKNOWN;
+int KeyMapper::PEV_QUIT              = EV_UNKNOWN;
+
+
+
+//! this is the mapping array from names to ids: enter all orxonox.conf keys here
 orxKeyMapping map[] = { {&KeyMapper::PEV_UP, "Up"},
 			{&KeyMapper::PEV_DOWN, "Down"},
@@ -85,7 +85,7 @@
 
 
+
 /**
    \brief standard constructor
-   \todo this constructor is not jet implemented - do it
 */
 KeyMapper::KeyMapper () 
@@ -97,12 +97,11 @@
 /**
    \brief standard deconstructor
-
 */
 KeyMapper::~KeyMapper () 
 {
-  // delete what has to be deleted here
-}
-
-\
+}
+
+
+
 /**
    \brief loads new key bindings from a file
@@ -185,5 +184,8 @@
 
 
-
+/**
+   \brief this function looks up name to key index
+   \param the name of the button
+*/
 int* KeyMapper::nameToIndex (char* name)
 {
@@ -205,5 +207,9 @@
 
 
-
+/**
+   \brief the function maps name to key ids
+   \param name of the key
+   \param id of the key
+*/
 void KeyMapper::mapKeys(char* name, int keyID)
 {
@@ -216,13 +222,14 @@
 
 
+/**
+   \brief this function gives some debug information about the key mapper class
+*/
 void KeyMapper::debug()
 {
-  //PRINT(0)("\n==========================| KeyMapper::debug() |===\n");  
-
+  PRINT(0)("\n==========================| KeyMapper::debug() |===\n");  
   for(int i = 0; map[i].pValue != NULL; ++i)
     {
       PRINT(0)("%s = %i\n",map[i].pName, *map[i].pValue);
     }
-
-  //PRINT(0)("=======================================================\n");        
-}
+  PRINT(0)("=======================================================\n");        
+}
Index: /orxonox/trunk/src/util/event/key_mapper.h
===================================================================
--- /orxonox/trunk/src/util/event/key_mapper.h	(revision 4451)
+++ /orxonox/trunk/src/util/event/key_mapper.h	(revision 4452)
@@ -13,7 +13,5 @@
 
 
-
-
-
+//! A mapping from key-name to key-id
 typedef struct orxKeyMapping
 {
@@ -39,32 +37,32 @@
 
  public:
-  static int PEV_UP;
-  static int PEV_DOWN;
-  static int PEV_LEFT;
-  static int PEV_RIGHT;
+  static int PEV_UP;                //!< up button
+  static int PEV_DOWN;              //!< down buttton
+  static int PEV_LEFT;              //!< left button
+  static int PEV_RIGHT;             //!< right button
   
-  static int PEV_STRAFE_LEFT;
-  static int PEV_STRAFE_RIGHT;
+  static int PEV_STRAFE_LEFT;       //!< strafe left button
+  static int PEV_STRAFE_RIGHT;      //!< strafe right button
   
-  static int PEV_FIRE1;
-  static int PEV_FIRE2;
-  static int PEV_PREVIOUS_WEAPON;
-  static int PEV_NEXT_WEAPON;
+  static int PEV_FIRE1;             //!< fire button 1
+  static int PEV_FIRE2;             //!< fire button 2
+  static int PEV_PREVIOUS_WEAPON;   //!< prev weapon button
+  static int PEV_NEXT_WEAPON;       //!< next weapon button
 
-  static int PEV_VIEW0;
-  static int PEV_VIEW1;
-  static int PEV_VIEW2;
-  static int PEV_VIEW3;
-  static int PEV_VIEW4;
-  static int PEV_VIEW5;
+  static int PEV_VIEW0;             //!< view 0 button
+  static int PEV_VIEW1;             //!< view 1 button
+  static int PEV_VIEW2;             //!< view 2 button
+  static int PEV_VIEW3;             //!< view 3 button
+  static int PEV_VIEW4;             //!< view 4 button
+  static int PEV_VIEW5;             //!< view 5 button
 
-  static int PEV_NEXT_WORLD;
-  static int PEV_PREVIOUS_WORLD;
+  static int PEV_NEXT_WORLD;        //!< next world button
+  static int PEV_PREVIOUS_WORLD;    //!< prev world button
 
-  static int PEV_PAUSE;
-  static int PEV_QUIT;
+  static int PEV_PAUSE;             //!< pause button
+  static int PEV_QUIT;              //!< quit button
 
  private:
-  Sint32 coord[2];
+  Sint32 coord[2];                   //!< temp place to save variables in nameToIndex() function
 };
 