Index: orxonox/trunk/src/glmenu/glmenu_imagescreen.cc
===================================================================
--- orxonox/trunk/src/glmenu/glmenu_imagescreen.cc	(revision 4451)
+++ orxonox/trunk/src/glmenu/glmenu_imagescreen.cc	(revision 4453)
@@ -47,11 +47,4 @@
    \brief Loads a GLMenu from an inputElement
    \param root The Element to load the GLMenu from
-
-   Tags are:
-   \li BackgroundImage STRING: the background Image
-   \li BarImage: STRING: the Image on the Bar
-   \li BackgroundPS: FLOAT FLOAT FLOAT FLOAT: posX posY scaleX scaleY
-   \li BarPS: FLOAT FLOAT FLOAT FLOAT: posX posY scaleX scaleY
-   \li ElementCount: INT: how many elements will be loaded
 */
 void GLMenuImageScreen::loadParams(const TiXmlElement* root)
@@ -103,5 +96,5 @@
 /** 
     \brief sets the background image name
-    \param file name of the backgroun-image
+    \param backImageName name of the backgroun-image
  */
 void GLMenuImageScreen::setBackgroundImage (const char* backImageName)
@@ -110,9 +103,8 @@
 }
 
-
 /**
    \brief sets position of the ImageScreen
-   \param x offset from the top left corner in percent(0-1) of the screensize
-   \param y offset from the top left corner in percent(0-1) of the screensize
+   \param offsetX offset from the top left corner in percent(0-1) of the screensize
+   \param offsetY offset from the top left corner in percent(0-1) of the screensize
 */
 void GLMenuImageScreen::setPosition(float offsetX, float offsetY)
@@ -122,6 +114,5 @@
 }
 
-
-/*
+/**
   \brief sets size of the ImageScreen
   \param scaleX the scaleing of the image into the x-direction (in percent (0-1))
@@ -134,8 +125,8 @@
 }
 
-/*
+/**
   \brief sets position and size of the ImageScreen
-  \param x offset from the top left corner in percent(0-1) of the screensize
-  \param y offset from the top left corner in percent(0-1) of the screensize
+  \param offsetX offset from the top left corner in percent(0-1) of the screensize
+  \param offsetY offset from the top left corner in percent(0-1) of the screensize
   \param scaleX the scaleing of the image into the x-direction (in percent (0-1))
   \param scaleY the scaleing of the image into the y-direction (in percent (0-1))
@@ -173,5 +164,5 @@
 /**
    \brief set the maximum of countable steps
-   \param maximum of steps
+   \param maxValue of steps
 */
 void GLMenuImageScreen::setMaximum(int maxValue)
@@ -180,17 +171,7 @@
 }
 
-
-/**
-   \brief gets the maximum of countable steps
-*/
-int GLMenuImageScreen::getMaximum()
-{
-  return this->maxValue;
-}
-
-
 /**
    \brief set current value
-   \param current value
+   \param currentValue value to set
 */
 void GLMenuImageScreen::setValue(int currentValue)
Index: orxonox/trunk/src/glmenu/glmenu_imagescreen.h
===================================================================
--- orxonox/trunk/src/glmenu/glmenu_imagescreen.h	(revision 4451)
+++ orxonox/trunk/src/glmenu/glmenu_imagescreen.h	(revision 4453)
@@ -1,7 +1,6 @@
 /*! 
-    \file glmenu_imagescreen
-    \brief class to display a image
+    \file glmenu_imagescreen.h
+    \brief class to display a LoadScreen
 */
-
 
 #ifndef _GLMENU_IMAGESCREEN_H
@@ -13,4 +12,5 @@
 class TiXmlElement;
 
+//! A class to display a loadScreen
 class GLMenuImageScreen : public BaseObject {
 
@@ -34,5 +34,7 @@
 
   void setMaximum (int maxValue);
-  int getMaximum ();
+  /** \returns the maximum of countable steps*/
+  inline int GLMenuImageScreen::getMaximum(void) const { return this->maxValue; };
+
   void setValue (int currentValue);
   int getValue ();
@@ -41,14 +43,22 @@
 
  private:
-  char* backImageName;       //!< the name of the file of the background image
-  float scaleX, scaleY;      //!< hight and width of the image
-  float offsetX, offsetY;    //!< offset of the image from left and up
-  Material* backMat;         //!< Background Material.
-  float barX, barY, barW, barH; //!< Position and Scale of the bar.
-  Material* barMat;          //!< A Material for the Loading-Bar
+  // background image
+  char*         backImageName;       //!< the name of the file of the background image
+  float         offsetX;             //!< X-offset of the the image from the left
+  float         offsetY;             //!< Y-offset of the image from the top
+  float         scaleX;              //!< width of the image
+  float         scaleY;              //!< height of the image
+  Material*     backMat;             //!< Background Material.
+
+  // Load-Bar
+  float         barX;                //!< X-position of the Bar
+  float         barY;                //!< Y-position of the Bar
+  float         barW;                //!< Width of the Bat
+  float         barH;                //!< Height of the Bar.
+  Material*     barMat;              //!< A Material for the Loading-Bar
 
   /* progress bar values */
-  int currentValue;          //!< the current count of step() calls fired yet
-  int maxValue;              //!< total count of steps
+  int           currentValue;        //!< the current count of step() calls fired yet
+  int           maxValue;            //!< total count of steps
 
 };