Index: orxonox/trunk/src/util/event/event.h
===================================================================
--- orxonox/trunk/src/util/event/event.h	(revision 4452)
+++ orxonox/trunk/src/util/event/event.h	(revision 4454)
@@ -22,11 +22,12 @@
 
 
-  int offset;                      //!< offset in the event type array
-  char cmd[CMD_LENGHT];            //!< the command delivered
-  int type;                        //!< the type field
-  bool bPressed;                   //!< is true, if the button/mouse was pressed, false if released
+  int      offset;                      //!< offset in the event type array
+  int      type;                        //!< the type field
+  bool     bPressed;                    //!< is true, if the button/mouse was pressed, false if released
        
-  Uint16 x, y;                     //!< x and y coordinates
-  Sint16 xRel, yRel;               //!< relative x and y movement to last point
+  Uint16   x;                           //!< x coordinate
+  Uint16   y;                           //!< y coordinate
+  Sint16   xRel;                        //!< relative x movement to last point
+  Sint16   yRel;                        //!< relative y movement to last point
 };
 
Index: orxonox/trunk/src/util/event/event_def.h
===================================================================
--- orxonox/trunk/src/util/event/event_def.h	(revision 4452)
+++ orxonox/trunk/src/util/event/event_def.h	(revision 4454)
@@ -11,12 +11,4 @@
 #include "stdincl.h"
 
-
-#define CMD_LENGHT 16
-#define N_STD_KEYS SDLK_LAST
-#define N_BUTTONS 6
-#define DEFAULT_KEYBIND_FILE "~/.orxonox/orxonox.conf"
-
-
-#define EVENT_QUEUE_LENGTH 32
 
 //! these are the extended event types, that are not included in SDL_keysym
@@ -39,4 +31,5 @@
   };
 
+
 //! this is an enumeration of all states of the event_handler/game
 typedef enum elState
Index: orxonox/trunk/src/util/event/event_handler.cc
===================================================================
--- orxonox/trunk/src/util/event/event_handler.cc	(revision 4452)
+++ orxonox/trunk/src/util/event/event_handler.cc	(revision 4454)
@@ -93,5 +93,5 @@
 /**
    \brief set the state of the event handler
-   \param state to which the event handler shall change
+   \param state: to which the event handler shall change
 */
 void EventHandler::setState(elState state)
@@ -103,7 +103,7 @@
 /**
    \brief subscribe to an event
-   \param the event listener that wants to subscribe itself, the listener that will be called when the evetn occures
-   \param state for which the listener wants to receive events
-   \param the event type that wants to be listened for.
+   \param el: the event listener that wants to subscribe itself, the listener that will be called when the evetn occures
+   \param state: for which the listener wants to receive events
+   \param eventType: the event type that wants to be listened for.
 
    This is one of the most important function of the EventHandler. If you would like to subscribe for more
@@ -134,6 +134,6 @@
 /**
    \brief unsubscribe from the EventHandler
-   \param the stat in which it has been subscribed
-   \param the event, that shall be unsubscribed
+   \param state: the stat in which it has been subscribed
+   \param eventType: the event, that shall be unsubscribed
 
    if you want to unsubscribe an event listener from all subscribed events, just use the 
@@ -149,6 +149,6 @@
 /**
    \brief unsubscribe all events from a specific listener
-   \param the listener that wants to unsubscribe itself
-   \param the state in which the events shall be unsubscribed
+   \param el: the listener that wants to unsubscribe itself
+   \param state: the state in which the events shall be unsubscribed
    
 */
@@ -179,5 +179,5 @@
 /**
    \brief flush all registered events
-   \param in a specific state
+   \param state: a specific state
 */
 void EventHandler::flush(elState state)
Index: orxonox/trunk/src/util/event/event_listener.h
===================================================================
--- orxonox/trunk/src/util/event/event_listener.h	(revision 4452)
+++ orxonox/trunk/src/util/event/event_listener.h	(revision 4454)
@@ -20,4 +20,8 @@
   virtual ~EventListener();
 
+  /**
+     \brief abstract function that processes events from the handler
+     \param event: the event
+  */
   virtual void process(const Event &event) = NULL;
 };
Index: orxonox/trunk/src/util/event/key_mapper.cc
===================================================================
--- orxonox/trunk/src/util/event/key_mapper.cc	(revision 4452)
+++ orxonox/trunk/src/util/event/key_mapper.cc	(revision 4454)
@@ -103,5 +103,4 @@
 
 
-
 /**
    \brief loads new key bindings from a file
Index: orxonox/trunk/src/util/event/key_mapper.h
===================================================================
--- orxonox/trunk/src/util/event/key_mapper.h	(revision 4452)
+++ orxonox/trunk/src/util/event/key_mapper.h	(revision 4454)
@@ -28,5 +28,5 @@
   virtual ~KeyMapper();
 
-  void loadKeyBindings(const char* fileName = "~/.orxonox/orxonox.conf");
+  void loadKeyBindings(const char* fileName = DEFAULT_CONFIG_FILE);
 
   void debug();
@@ -64,5 +64,5 @@
 
  private:
-  Sint32 coord[2];                   //!< temp place to save variables in nameToIndex() function
+  Sint32     coord[2];              //!< temp place to save variables in nameToIndex() function
 };
 