Index: /orxonox/trunk/src/lib/graphics/importer/md2Model.cc
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/md2Model.cc	(revision 4460)
+++ /orxonox/trunk/src/lib/graphics/importer/md2Model.cc	(revision 4461)
@@ -75,5 +75,5 @@
  ********************************************************************************/
 
-/*
+/**
   \brief simple constructor initializing all variables
 */
@@ -87,5 +87,5 @@
 }
 
-/*
+/**
   \brief simple destructor, dereferencing all variables
 
@@ -122,5 +122,5 @@
 
 
-/*
+/**
   \brief sets the animation type
   \param type: animation type
@@ -146,5 +146,5 @@
 
 
-/*
+/**
   \brief sets the time in seconds passed since the last tick
   \param time: in sec
@@ -156,5 +156,5 @@
 
 
-/*
+/**
   \brief draws the model: interface for all other classes out in the world
 */
@@ -172,5 +172,5 @@
 
 
-/*
+/**
   \brief this is an internal function to render this special frame selected by animate()
 */
@@ -216,5 +216,5 @@
 
 
-/*
+/**
   \brief animates the current model
 
@@ -243,5 +243,5 @@
 
 
-/*
+/**
   \brief this is how id is precessing their lightning
 
@@ -253,5 +253,6 @@
 }
 
-/*
+
+/**
   \brief prints out debug informations
 */
@@ -273,5 +274,5 @@
  ********************************************************************************/
 
-/*
+/**
   \brief simple constructor
 */
@@ -293,5 +294,5 @@
 
 
-/*
+/**
   \brief simple destructor
 
@@ -312,7 +313,7 @@
 
 
-/*
+/**
   \brief this will load the whole model data (vertices, opengl command list, ...)
-  \param fileName to the model file
+  \param fileName: the name of the model file
   \return true if success
 */
@@ -382,7 +383,7 @@
 
 
-/*
+/**
   \brief loads the skin/material stuff
-  \param fileName of the skin file
+  \param fileName: name of the skin file
   \return true if success
 */
Index: /orxonox/trunk/src/lib/graphics/importer/md2Model.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/md2Model.h	(revision 4460)
+++ /orxonox/trunk/src/lib/graphics/importer/md2Model.h	(revision 4461)
@@ -34,9 +34,9 @@
 #define MD2_MAX_FRAMESIZE		(MD2_MAX_VERTICES * 4 + 128)             //!< maximal framesize
 
-#define NUM_VERTEX_NORMALS              162                                      //!< 
-#define SHADEDOT_QUANT                  16
+#define NUM_VERTEX_NORMALS              162                                      //!< number of vertex normals
+#define SHADEDOT_QUANT                  16                                       //!< shade dot quantity - no idea what it is
 
 //! This stores the speed of the animation between each key frame - currently conflicting with the animation framework
-#define kAnimationSpeed			12.0f
+#define kAnimationSpeed			12.0f                                    //!< animation speed
 
 //! This holds the header information that is read in at the beginning of the file: id software definition
@@ -113,19 +113,18 @@
 
  public:
-  int numFrames;
-  int numVertices;
-  int numTriangles;
-  int numGLCommands;
-  char* fileName;
-  char* skinFileName;
-  MD2Header* header;
+  int                numFrames;             //!< number of frames   
+  int                numVertices;           //!< number of vertices
+  int                numTriangles;          //!< number of triangles
+  int                numGLCommands;         //!< number of gl commands in the glList (tells how to draw)
+  char*              fileName;              //!< file name of the model File
+  char*              skinFileName;          //!< file name of the skin file
+  MD2Header*         header;                //!< the header file
 
-  sVec3D* pVertices;
-  int* pGLCommands;
-  int* pLightNormals;
-  glCommandVertex* pGLCommands2;
+  sVec3D*            pVertices;             //!< pointer to the vertices data block
+  int*               pGLCommands;           //!< pointer to the gllist data block
+  int*               pLightNormals;         //!< pointer to the light normals
 
-  Material* material;
-  float scaleFactor;
+  Material*          material;              //!< pointer to the material 
+  float              scaleFactor;           //!< the scale factor of the model, (global)
 };
 
@@ -138,9 +137,11 @@
   virtual ~MD2Model();
    
-  void drawFrame(int frame);
   void draw();
-  void draw2();
   
   void setAnim(int type);
+  /**
+     \brief scales the current model 
+     \param scaleFactor: the factor [0..1] to use for scaling
+  */
   void scaleModel(float scaleFactor) { this->scaleFactor = scaleFactor;}
 
@@ -157,13 +158,13 @@
  public:
   /* these variables are static, because they are all the same for every model */
-  static sVec3D anorms[NUM_VERTEX_NORMALS];
-  static float anormsDots[SHADEDOT_QUANT][256];
-  static sAnim animationList[21];
+  static sVec3D       anorms[NUM_VERTEX_NORMALS];       //!< the anormals
+  static float        anormsDots[SHADEDOT_QUANT][256];  //!< the anormals dot products
+  static sAnim        animationList[21];                //!< the anomation list
 
  private:
-  MD2Data* data;
+  MD2Data*            data;                             //!< the md2 data pointer
 
-  float scaleFactor;
-  sAnimState animationState;
+  float               scaleFactor;                      //!< the scale factor (individual)
+  sAnimState          animationState;                   //!< animation state of the model
 };
 