Index: orxonox/trunk/src/util/resource_manager.cc
===================================================================
--- orxonox/trunk/src/util/resource_manager.cc	(revision 4464)
+++ orxonox/trunk/src/util/resource_manager.cc	(revision 4465)
@@ -167,6 +167,9 @@
 /**
    \brief loads resources
-   \param fileName The fileName of the resource to load
-   \param prio The ResourcePriority of this resource (will only be increased)
+   \param fileName: The fileName of the resource to load
+   \param prio: The ResourcePriority of this resource (will only be increased)
+   \param param1: an additional option to parse (see the constuctors for more help)
+   \param param2: an additional option to parse (see the constuctors for more help)
+   \param param3: an additional option to parse (see the constuctors for more help)
    \returns a pointer to a desired Resource.
 */
@@ -201,10 +204,14 @@
 /**
    \brief loads resources
-   \param fileName The fileName of the resource to load
-   \param type The Type of Resource to load (\see ResourceType)
-   \param prio The ResourcePriority of this resource (will only be increased)
+   \param fileName: The fileName of the resource to load
+   \param type: The Type of Resource to load (\see ResourceType)
+   \param prio: The ResourcePriority of this resource (will only be increased)
+   \param param1: an additional option to parse (see the constuctors for more help)
+   \param param2: an additional option to parse (see the constuctors for more help)
+   \param param3: an additional option to parse (see the constuctors for more help)
    \returns a pointer to a desired Resource.
 */
-void* ResourceManager::load(const char* fileName, ResourceType type, ResourcePriority prio, void* param1, void* param2, void* param3)
+void* ResourceManager::load(const char* fileName, ResourceType type, ResourcePriority prio,
+			    void* param1, void* param2, void* param3)
 {
   // searching if the resource was loaded before.
@@ -357,7 +364,7 @@
 /**
    \brief unloads a Resource
-   \param pointer The pointer to free
+   \param pointer: The pointer to free
+   \param prio: the PriorityLevel to unload this resource
    \returns true if successful (pointer found, and deleted), false otherwise
-   
 */
 bool ResourceManager::unload(void* pointer, ResourcePriority prio)
@@ -374,4 +381,9 @@
 }
 
+/**
+   \brief unloads a Resource
+   \param resource: The resource to unloade
+   \param prio the PriorityLevel to unload this resource
+*/
 bool ResourceManager::unload(Resource* resource, ResourcePriority prio)
 {
@@ -441,5 +453,9 @@
 /**
    \brief Searches for a Resource by some information
-   \param fileName The name to look for
+   \param fileName: The name to look for
+   \param type the Type of resource to locate.
+   \param param1: an additional option to parse (see the constuctors for more help)
+   \param param2: an additional option to parse (see the constuctors for more help)
+   \param param3: an additional option to parse (see the constuctors for more help)
    \returns a Pointer to the Resource if found, NULL otherwise.
 */
@@ -659,5 +675,5 @@
 
 /** 
-    \param fileName the Name of the file to check
+    \param name the Name of the file to check
     \returns The name of the file, including the HomeDir
     IMPORTANT: this has to be deleted from the outside
Index: orxonox/trunk/src/util/resource_manager.h
===================================================================
--- orxonox/trunk/src/util/resource_manager.h	(revision 4464)
+++ orxonox/trunk/src/util/resource_manager.h	(revision 4465)
@@ -20,12 +20,12 @@
 
 //! An eumerator for different fileTypes the resourceManager supports
-typedef enum ResourceType { OBJ,
-			    PRIM,
-			    MD2,
-			    WAV,
-			    MP3,
-			    OGG,
-			    TTF,
-			    IMAGE };
+typedef enum ResourceType { OBJ,          //!< loading .obj file
+			    PRIM,         //!< loading primitive model
+			    MD2,          //!< loading md2-file
+			    WAV,          //!< loading wav
+			    MP3,          //!< loading mp3
+			    OGG,          //!< loading ogg
+			    TTF,          //!< loading a TrueTypeFont
+			    IMAGE };      //!< loading an image
 
 //! An enumerator for different UNLOAD-types. 
@@ -44,18 +44,18 @@
 struct Resource
 {
-  void* pointer;             //!< Pointer to the Resource.
-  int count;                 //!< How many times this Resource has been loaded.
+  void*             pointer;           //!< Pointer to the Resource.
+  int               count;             //!< How many times this Resource has been loaded.
   
-  char* name;                //!< Name of the Resource.
-  ResourceType type;         //!< ResourceType of this Resource.
-  ResourcePriority prio;     //!< The Priority of this resource. (This will only be increased)
+  char*             name;              //!< Name of the Resource.
+  ResourceType      type;              //!< ResourceType of this Resource.
+  ResourcePriority  prio;              //!< The Priority of this resource. (This will only be increased)
 
   // more specific
-  float modelSize;
-  unsigned int ttfSize;
-  unsigned char ttfColorR;
-  unsigned char ttfColorG;
-  unsigned char ttfColorB;
-  char* skinFileName;
+  float             modelSize;         //!< the size of the model (OBJ/PRIM)
+  unsigned int      ttfSize;           //!< the size of the ttf-font (TTF)
+  unsigned char     ttfColorR;         //!< red Color (TTF)
+  unsigned char     ttfColorG;         //!< green Color (TTF)
+  unsigned char     ttfColorB;         //!< blue Color (TTF)
+  char*             skinFileName;      //!< skinFileName (MD2)
 };
 
@@ -73,6 +73,7 @@
 {
  public:
+  virtual ~ResourceManager();
+
   static ResourceManager* getInstance();
-  virtual ~ResourceManager();
 
   bool setDataDir(const char* dataDir);
@@ -89,6 +90,7 @@
   bool unload(Resource* resource, ResourcePriority = RP_NO);
   bool unloadAllByPriority(ResourcePriority prio);
-
+  
   void debug(void);
+  
 
   // utility functions of this class
@@ -102,14 +104,15 @@
  private:
   ResourceManager();
-  static ResourceManager* singletonRef;
-
-  tList<Resource>* resourceList;       //!< The List of Resources, that has already been loaded.
-  char* dataDir;                       //!< The Data Directory, where all relevant Data is stored.
-  tList<char>* imageDirs;              //!< A list of directories in which images are stored.
-
 
   Resource* locateResourceByInfo(const char* fileName, ResourceType type, void* param1, void* param2, void* param3);
-  Resource* locateResourceByPointer(const void* pointer);
-  
+  Resource* locateResourceByPointer(const void* pointer);  
+
+ private:
+  static ResourceManager*  singletonRef;       //!< singleton Reference
+
+  tList<Resource>*         resourceList;       //!< The List of Resources, that has already been loaded.
+  char*                    dataDir;            //!< The Data Directory, where all relevant Data is stored.
+  tList<char>*             imageDirs;          //!< A list of directories in which images are stored.
+
 };
 