Index: /orxonox/trunk/src/lib/graphics/importer/abstract_model.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/abstract_model.h	(revision 4466)
+++ /orxonox/trunk/src/lib/graphics/importer/abstract_model.h	(revision 4467)
@@ -35,18 +35,22 @@
 typedef float sVec3D[3];
 
+
 //! small and performant 2D vector
 typedef float sVec2D[2];
+
 
 //! compressed vertex data: char insetead of float, the value will be expanded by the scale value. only for loading
 typedef struct
 {
-  byte v[3];
-  unsigned char lightNormalIndex;
+  byte             v[3];                 //!< the vector of the vertex
+  unsigned char    lightNormalIndex;     //!< the index of the light normal
 } sVertex;
+
 
 //! compressed texture offset data: coords scaled by the texture size. Only for loading
 typedef struct
 {
-  short s,t;
+  short            s;                    //!< the s,t coordinates of a texture
+  short            t;                    //!< the s,t coordinates of a texture
 } sTexCoor;
 
@@ -55,8 +59,8 @@
 typedef struct
 {
-  sVec3D scale;                        //!< scales values of the model
-  sVec3D translate;                    //!< translates the model
-  char name[16];                       //!< frame name: something like "run32"
-  sVertex pVertices[1];                //!< first vertex of thes frame
+  sVec3D           scale;                //!< scales values of the model
+  sVec3D           translate;            //!< translates the model
+  char             name[16];             //!< frame name: something like "run32"
+  sVertex          pVertices[1];         //!< first vertex of thes frame
 } sFrame;
 
@@ -65,13 +69,15 @@
 typedef struct
 {
-  short indexToVertices[3];             //!< index to the verteces of the triangle
-  short indexToTexCoor[3];              //!< index to the texture coordinates
+  short            indexToVertices[3];   //!< index to the verteces of the triangle
+  short            indexToTexCoor[3];    //!< index to the texture coordinates
 } sTriangle;
 
 
+//! the command list of the md2 model, very md2 specific
 typedef struct
 {
-   float s, t;
-   int vertexIndex;
+  float            s;                    //!< texture coordinate 1
+  float            t;                    //!< texture coordinate 2
+  int              vertexIndex;          //!< index of the vertex in the vertex list
 } glCommandVertex;
 
@@ -80,24 +86,25 @@
 typedef struct
 {
-  int firstFrame;                       //!< first frame of the animation
-  int lastFrame;                        //!< last frame of the animation
-  int fps;                              //!< speed: number of frames per second
+  int              firstFrame;           //!< first frame of the animation
+  int              lastFrame;            //!< last frame of the animation
+  int              fps;                  //!< speed: number of frames per second
 } sAnim;
+
 
 //! animation state definition
 typedef struct
 {
-  int startFrame;
-  int endFrame;
-  int fps;
+  int              startFrame;           //!< the start frame of an animation
+  int              endFrame;             //!< last frame of the animation
+  int              fps;                  //!< fps of the animaion (speed)
 
-  float localTime;
-  float lastTime;
-  float interpolationState;            //!< the state of the animation [0..1]
+  float            localTime;            //!< the local time
+  float            lastTime;             //!< last time stamp
+  float            interpolationState;   //!< the state of the animation [0..1]
   
-  int type;                            //!< animation type
+  int              type;                 //!< animation type
 
-  int currentFrame;
-  int nextFrame;
+  int              currentFrame;         //!< the current frame
+  int              nextFrame;            //!< the next frame in the list
 } sAnimState;
 
Index: /orxonox/trunk/src/world_entities/test_gun.cc
===================================================================
--- /orxonox/trunk/src/world_entities/test_gun.cc	(revision 4466)
+++ /orxonox/trunk/src/world_entities/test_gun.cc	(revision 4467)
@@ -135,4 +135,5 @@
    
    this is called from the player.cc, when fire-button is been pushed
+   \todo: the ObjectManager deliveres Projectiles not TestBullets! this should be diffrent
 */
 void TestGun::fire()