Index: /orxonox/trunk/src/lib/graphics/importer/model.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/model.h	(revision 4467)
+++ /orxonox/trunk/src/lib/graphics/importer/model.h	(revision 4468)
@@ -28,9 +28,10 @@
 #define NORMAL 1       //!< If Faces are created WITH Normals (otherwise autocalculate)
 #define TEXCOORD 2     //!< If Faces are created WITH TextureCoordinate
+
 //! an enumerator for VERTEX_FORMAT
 typedef enum VERTEX_FORMAT {VERTEX_ONLY = VERTEX,
-		    VERTEX_NORMAL = NORMAL,
-		    VERTEX_TEXCOORD = TEXCOORD,
-		    VERTEX_TEXCOORD_NORMAL = NORMAL | TEXCOORD};
+			    VERTEX_NORMAL = NORMAL,
+			    VERTEX_TEXCOORD = TEXCOORD,
+			    VERTEX_TEXCOORD_NORMAL = NORMAL | TEXCOORD};
 
 ////////////////////
@@ -44,8 +45,9 @@
   ~ModelFaceElement();
 
-  int vertexNumber;         //!< The number of the Vertex out of the Array* vertices, this vertex points to.
-  int normalNumber;         //!< The number of the Normal out of the Array* normals, this vertex points to.
-  int texCoordNumber;       //!< The number of the textureCoordinate out of the Array* vTexture, this vertex points to.
-  ModelFaceElement* next;   //!< Point to the next FaceElement in this List.
+  int                vertexNumber;         //!< The number of the Vertex out of the Array* vertices, this vertex points to.
+  int                normalNumber;         //!< The number of the Normal out of the Array* normals, this vertex points to.
+  int                texCoordNumber;       //!< The number of the textureCoordinate out of the Array* vTexture, this vertex points to.
+
+  ModelFaceElement*  next;                 //!< Point to the next FaceElement in this List.
 };
 
@@ -56,11 +58,10 @@
   ModelFace();
   ~ModelFace();
-
-  int vertexCount;                //!< The Count of vertices this Face has.
-  ModelFaceElement* firstElem;    //!< Points to the first Vertex (FaceElement) of this Face.
   
-  Material* material;             //!< The Material to use.
+  int                 vertexCount;     //!< The Count of vertices this Face has.
+  ModelFaceElement*   firstElem;       //!< Points to the first Vertex (FaceElement) of this Face.
+  Material*           material;        //!< The Material to use.
   
-  ModelFace* next;                //!< Pointer to the next Face.
+  ModelFace*          next;            //!< Pointer to the next Face.
 }; 
 
@@ -74,14 +75,13 @@
   void cleanup();
 
-  char* name;                 //!< the Name of the Group. this is an identifier, that can be accessed via the draw (char* name) function.
+  char*        name;           //!< the Name of the Group. this is an identifier, that can be accessed via the draw (char* name) function.
+  GLubyte*     indices;        //!< The indices of the Groups. Needed for vertex-arrays
+  GLuint       listNumber;     //!< The number of the GL-List this Group gets.
+  ModelFace*   firstFace;      //!< The first Face in this group.
+  ModelFace*   currentFace;    //!< The current Face in this Group (the one we are currently working with.)
+  int          faceMode;       //!< The Mode the Face is in: initially -1, 0 for FaceList opened, 1 for Material,  3 for triangle, 4 for Quad, 5+ for Poly \todo ENUM...
+  int          faceCount;      //!< The Number of Faces this Group holds.
   
-  GLubyte* indices;           //!< The indices of the Groups. Needed for vertex-arrays
-  GLuint listNumber;          //!< The number of the GL-List this Group gets.
-  ModelFace* firstFace;       //!< The first Face in this group.
-  ModelFace* currentFace;     //!< The current Face in this Group (the one we are currently working with.)
-  int faceMode;               //!< The Mode the Face is in: initially -1, 0 for FaceList opened, 1 for Material,  3 for triangle, 4 for Quad, 5+ for Poly \todo ENUM...
-  int faceCount;              //!< The Number of Faces this Group holds.
-  
-  ModelGroup* next;           //!< Pointer to the next Group.
+  ModelGroup*  next;           //!< Pointer to the next Group.
 };
 
@@ -93,41 +93,4 @@
 class Model
 {
- private:
-
-  char* name;                 //!< This is the name of the Model.
-  MODEL_TYPE type;            //!< A type for the Model
-  bool finalized;             //!< Sets the Object to be finalized.
-
-  int vertexCount;            //!< A modelwide Counter for vertices.
-  int normalCount;            //!< A modelwide Counter for the normals.
-  int texCoordCount;          //!< A modelwide Counter for the texCoord.
-  Array* vertices;            //!< The Array that handles the Vertices.
-  Array* normals;             //!< The Array that handles the Normals.
-  Array* vTexture;            //!< The Array that handles the VertexTextureCoordinates.
-
-  ModelGroup* firstGroup;     //!< The first of all groups.
-  ModelGroup* currentGroup;   //!< The currentGroup. this is the one we will work with.
-  int groupCount;             //!< The Count of Groups.
-
-  tList<Material>* materialList;//!< A list for all the Materials in this Model
-  
-  bool buildVertexNormals(void);
-
-  bool importToDisplayList(void);
-  bool addGLElement(ModelFaceElement* elem);
-
-  bool importToVertexArray(void);
-
-  bool deleteArrays(void);
-  bool cleanup(void);
-
-
- protected:
-  float scaleFactor;    //!< The Factor with which the Model should be scaled. \todo maybe one wants to scale the Model after Initialisation
-
-  Material* findMaterialByName(const char* materialName);
-
-  void cubeModel(void);
-
  public:
   Model(const char* modelName = NULL, MODEL_TYPE type = MODEL_DISPLAY_LIST);
@@ -167,4 +130,39 @@
   /** \returns The number of Texture Coordinates of the Model*/
   inline int getTexCoordCount(void) const {return this->texCoordCount;}
+
+ protected:
+  float scaleFactor;    //!< The Factor with which the Model should be scaled. \todo maybe one wants to scale the Model after Initialisation
+  void cubeModel(void);
+
+  Material* findMaterialByName(const char* materialName);
+
+ private:
+  bool buildVertexNormals(void);
+
+  bool importToDisplayList(void);
+  bool addGLElement(ModelFaceElement* elem);
+
+  bool importToVertexArray(void);
+
+  bool deleteArrays(void);
+  bool cleanup(void);
+
+ private:
+  char*            name;            //!< This is the name of the Model.
+  MODEL_TYPE       type;            //!< A type for the Model
+  bool             finalized;       //!< Sets the Object to be finalized.
+
+  int              vertexCount;     //!< A modelwide Counter for vertices.
+  int              normalCount;     //!< A modelwide Counter for the normals.
+  int              texCoordCount;   //!< A modelwide Counter for the texCoord.
+  Array*           vertices;        //!< The Array that handles the Vertices.
+  Array*           normals;         //!< The Array that handles the Normals.
+  Array*           vTexture;        //!< The Array that handles the VertexTextureCoordinates.
+
+  ModelGroup*      firstGroup;      //!< The first of all groups.
+  ModelGroup*      currentGroup;    //!< The currentGroup. this is the one we will work with.
+  int              groupCount;             //!< The Count of Groups.
+
+  tList<Material>* materialList;    //!< A list for all the Materials in this Model
 };
 
Index: /orxonox/trunk/src/lib/graphics/importer/objModel.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/objModel.h	(revision 4467)
+++ /orxonox/trunk/src/lib/graphics/importer/objModel.h	(revision 4468)
@@ -17,11 +17,11 @@
 
  private:
-  // Variables
-  char* objPath;        //!< The Path where the obj and mtl-file are located.
-
   ///// readin /////
   bool importFile (const char* fileName);
   bool readFromObjFile (const char* fileName);
   bool readMtlLib (const char* matFile);
+
+ private:
+  char*       objPath;     //!< The Path where the obj and mtl-file are located.
 };
 
Index: /orxonox/trunk/src/lib/graphics/importer/primitive_model.cc
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/primitive_model.cc	(revision 4467)
+++ /orxonox/trunk/src/lib/graphics/importer/primitive_model.cc	(revision 4468)
@@ -36,17 +36,17 @@
     {
     default:
-    case CUBE:
+    case PRIM_CUBE:
       this->cubeModel();
       break;
-    case SPHERE:
+    case PRIM_SPHERE:
       this->sphereModel(size, detail);
       break;
-    case CYLINDER:
+    case PRIM_CYLINDER:
       this->cylinderModel();
       break;
-    case CONE:
+    case PRIM_CONE:
       this->coneModel(size, detail);
       break;
-    case PLANE:
+    case PRIM_PLANE:
       this->planeModel(size, detail);
       break;
Index: /orxonox/trunk/src/lib/graphics/importer/primitive_model.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/primitive_model.h	(revision 4467)
+++ /orxonox/trunk/src/lib/graphics/importer/primitive_model.h	(revision 4468)
@@ -11,7 +11,9 @@
 
 //! Specification of different primitives the Model knows
-enum PRIMITIVE {CUBE, SPHERE, PLANE, CYLINDER, CONE};
-
-// FORWARD DEFINITION \\
+enum PRIMITIVE { PRIM_CUBE,
+		 PRIM_SPHERE,
+		 PRIM_PLANE,
+		 PRIM_CYLINDER,
+		 PRIM_CONE };
 
 //! A Class to create some default Models
Index: /orxonox/trunk/src/util/resource_manager.cc
===================================================================
--- /orxonox/trunk/src/util/resource_manager.cc	(revision 4467)
+++ /orxonox/trunk/src/util/resource_manager.cc	(revision 4468)
@@ -262,13 +262,13 @@
 
 	  if (!strcmp(tmpResource->name, "cube"))
-	    tmpResource->pointer = new PrimitiveModel(CUBE, tmpResource->modelSize);
+	    tmpResource->pointer = new PrimitiveModel(PRIM_CUBE, tmpResource->modelSize);
 	  else if (!strcmp(tmpResource->name, "sphere"))
-	    tmpResource->pointer = new PrimitiveModel(SPHERE, tmpResource->modelSize);
+	    tmpResource->pointer = new PrimitiveModel(PRIM_SPHERE, tmpResource->modelSize);
 	  else if (!strcmp(tmpResource->name, "plane"))
-	    tmpResource->pointer = new PrimitiveModel(PLANE, tmpResource->modelSize);
+	    tmpResource->pointer = new PrimitiveModel(PRIM_PLANE, tmpResource->modelSize);
 	  else if (!strcmp(tmpResource->name, "cylinder"))
-	    tmpResource->pointer = new PrimitiveModel(CYLINDER, tmpResource->modelSize);
+	    tmpResource->pointer = new PrimitiveModel(PRIM_CYLINDER, tmpResource->modelSize);
 	  else if (!strcmp(tmpResource->name, "cone"))
-	    tmpResource->pointer = new PrimitiveModel(CONE, tmpResource->modelSize);
+	    tmpResource->pointer = new PrimitiveModel(PRIM_CONE, tmpResource->modelSize);
 	  break;
 	case MD2: