Index: orxonox/trunk/src/lib/graphics/light.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/light.cc	(revision 4470)
+++ orxonox/trunk/src/lib/graphics/light.cc	(revision 4471)
@@ -51,4 +51,5 @@
 }
 
+
 /**
    \brief destroys a Light
@@ -58,4 +59,5 @@
   glDisable(lightsV[this->lightNumber]);
 }
+
 
 /**
@@ -76,4 +78,5 @@
 }
 
+
 /**
    \brief Sets a Position of this Light.
@@ -87,4 +90,5 @@
 }
 
+
 /**
    \brief sets an emitting Diffuse color of this Light
@@ -103,4 +107,5 @@
 }
 
+
 /**
    \brief sets an emitting Specular color of this Light
@@ -119,4 +124,5 @@
 }
 
+
 /**
    \brief Sets the AttenuationType of this Light Source
@@ -136,4 +142,5 @@
 }
 
+
 /**
    \brief stets the direction of the Spot Light.
@@ -149,4 +156,5 @@
 }
 
+
 /**
    \brief sets the cutoff angle of the Light.
@@ -159,4 +167,5 @@
 }
 
+
 /**
    \returns the Position of the Light
@@ -166,4 +175,5 @@
   return Vector(this->lightPosition[0], this->lightPosition[1], this->lightPosition[2]);
 }
+
 
 /**
@@ -176,4 +186,5 @@
   glLightfv(lightsV[this->lightNumber], GL_POSITION, pos);
 }
+
 
 /**
@@ -235,8 +246,10 @@
 }
 
+
 /**
    \brief singleton-Reference to the Light-class
 */
 LightManager* LightManager::singletonRef = NULL;
+
 
 /**
@@ -250,4 +263,5 @@
 }
 
+
 /**
    \brief initializes a new Light with default values, and enables GL_LIGHTING
@@ -257,4 +271,5 @@
   lights[lightNumber] = new Light(lightNumber);
 }
+
 
 /**
@@ -272,4 +287,5 @@
 }
 
+
 /**
    \brief Adds a new Light
@@ -290,4 +306,5 @@
 }
 
+
 /**
    \brief select the light to work with
@@ -304,4 +321,5 @@
 }
 
+
 /**
    \brief Delete the current Light
@@ -317,4 +335,5 @@
   this->deleteLight(this->currentLight->getLightNumber());
 }
+
 
 /**
@@ -331,4 +350,5 @@
     }
 }
+
 
 /**
@@ -364,4 +384,5 @@
 }
 
+
 /**
    \brief sets The Position of the currently selected Light
@@ -372,4 +393,5 @@
   this->currentLight->setPosition(position);
 }
+
 
 /**
@@ -389,4 +411,5 @@
 }
 
+
 /**
    \brief sets an emitting Diffuse color of the currently selected Light
@@ -405,4 +428,5 @@
 }
 
+
 /**
    \brief sets an emitting Specular color of the currently selected Light
@@ -421,4 +445,5 @@
 }
 
+
 /**
    \brief Sets the AttenuationType of th currently selecte LightSource Light Source
@@ -452,4 +477,5 @@
 }
 
+
 /**
    \brief sets the cutoff angle of the Light.
@@ -466,4 +492,5 @@
 }
 
+
 // get Attributes
 /**
@@ -480,4 +507,5 @@
     return this->currentLight->getPosition();
 }
+
 
 /**
@@ -496,4 +524,5 @@
 }
 
+
 /**
    \returns a pointer to a Light
@@ -504,4 +533,5 @@
   return this->lights[lightNumber];
 }
+
 
 /**
Index: orxonox/trunk/src/lib/network/synchronisable.cc
===================================================================
--- orxonox/trunk/src/lib/network/synchronisable.cc	(revision 4470)
+++ orxonox/trunk/src/lib/network/synchronisable.cc	(revision 4471)
@@ -16,4 +16,5 @@
 */
 
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_NETWORK
 
 #include "synchronisable.h"
@@ -23,10 +24,28 @@
 
 
-
+/**
+   \brief constructor for this class
+ */
 Synchronisable::Synchronisable () {}
 
 
-
+/**
+   \brief deconstructor for this class
+*/
 Synchronisable::~Synchronisable () {}
 
 
+/**
+   \brief gets the state of this object
+   \returns the state
+*/
+worldEntityState* Synchronisable::getState()
+{}
+
+
+/**
+   \brief sets the state of this object
+   \param state: the current state
+*/
+void Synchronisable::setState(worldEntityState* state)
+{}
Index: orxonox/trunk/src/lib/network/synchronisable.h
===================================================================
--- orxonox/trunk/src/lib/network/synchronisable.h	(revision 4470)
+++ orxonox/trunk/src/lib/network/synchronisable.h	(revision 4471)
@@ -1,9 +1,22 @@
+/*! 
+    \file synchronisable.h
+    \brief informations about objects, that needs to be synchronized over the network
+
+    this is just an idea, no implementatin yet. but sounds very good to me!
+*/
 
 #ifndef _SYNCHRONISABLE_H
 #define _SYNCHRONISABLE_H
 
-#include "data_tank.h"
 
 
+//! this is a... ehm... i have no idea...
+typedef struct worldEntityState 
+{
+  int    entity;                   //!< probably a entity id? hm...
+};
+
+
+//! an abstract class to handle the synchronisation process
 class Synchronisable {
 
@@ -12,12 +25,8 @@
   ~Synchronisable ();
 
-  struct worldEntityState {
-    /*Vector position; */
-    /*Vector orientation; */
-  };
+  worldEntityState* getState();
+  void setState(worldEntityState* state);
 
-  worldEntityState* getState();
-  void setState(worldEntityState*);
-
+  worldentityState state;            //!< the current state of the object
 };
 