Index: /orxonox/trunk/src/lib/particles/particle_emitter.cc
===================================================================
--- /orxonox/trunk/src/lib/particles/particle_emitter.cc	(revision 4477)
+++ /orxonox/trunk/src/lib/particles/particle_emitter.cc	(revision 4478)
@@ -42,4 +42,8 @@
 }
 
+/**
+   \brief constructs and loads a ParticleEmitter from a XML-element
+   \param root the XML-element to load from
+*/
 ParticleEmitter::ParticleEmitter(const TiXmlElement* root)
 {
@@ -63,4 +67,8 @@
 }
 
+/**
+   \brief loads a ParticleEmitter from a XML-element
+   \param root the XML-element to load from
+*/
 void ParticleEmitter::loadParams(const TiXmlElement* root)
 {
@@ -109,5 +117,7 @@
 
 /**
-   \param the type of emitter
+   \brief sets the type of emitter
+   \param type the type as a const char*
+   dot: EMITTER_DOT, plane: EMITTER_PLANE, cube: EMITTER_CUBE, sphere, EMITTER_SPHERE;
 */
 void ParticleEmitter::setType(const char* type)
@@ -123,5 +133,7 @@
 }
 
-
+/**
+   \brief sets a new size to the emitter
+*/
 void ParticleEmitter::setSize(float emitterSize)
 {
@@ -134,5 +146,5 @@
 /**
    \brief set the emission rate
-   \param sets the number of particles emitted per second
+   \param emissionRate: sets the number of particles emitted per second
 
    if you want to change the value of this variable during emission time (to make it more dynamic)
@@ -164,5 +176,5 @@
    \brief sets the velocity of all particles emitted
    \param velocity The starting velocity of the emitted particles
-   \param random A random starting velocity, the +- randomness of this option
+   \param randomVelocity A random starting velocity, the +- randomness of this option
 
    if you want to change the value of this variable during emission time (to make it more dynamic)
@@ -177,5 +189,6 @@
 /**
    \brief this set the time to life of a particle, after which it will die
-   \param the time to live in seconds
+   \param dt: the time to live in seconds
+   \param system: the system into which to emitt
 
    if you want to change the value of this variable during emission time (to make it more dynamic)
Index: /orxonox/trunk/src/lib/particles/particle_emitter.h
===================================================================
--- /orxonox/trunk/src/lib/particles/particle_emitter.h	(revision 4477)
+++ /orxonox/trunk/src/lib/particles/particle_emitter.h	(revision 4478)
@@ -10,13 +10,12 @@
 
 // FORWARD DEFINITION 
-struct Particle;
 class ParticleSystem;
 class TiXmlElement;
 
 //! The form of the Emitter to emit from
-typedef enum EMITTER_TYPE {EMITTER_DOT   = 1,
-			   EMITTER_PLANE = 2,
-			   EMITTER_SPHERE= 4,
-			   EMITTER_CUBE  = 8};
+typedef enum EMITTER_TYPE { EMITTER_DOT   = 1,
+			    EMITTER_PLANE = 2,
+			    EMITTER_SPHERE= 4,
+			    EMITTER_CUBE  = 8 };
 
 //! A class to handle an Emitter.
@@ -57,15 +56,16 @@
   void debug(void);
 
+
  private:
-  EMITTER_TYPE type;    //!< The type of emitter this is
-  float emitterSize;    //!< The size of the emitter (not for EMITTER_DOT)
-  Vector direction;     //!< emition direction
-  float angle;          //!< max angle from the direction of the emitter
-  float randomAngle;    //!< random emission angle (angle +- angleRandom is the emitted angle.
-  float emissionRate;   //!< amount of particles per seconds emitted by emitter.
-  float velocity;       //!< the initial speed of a Particles.
-  float randomVelocity; //!< the random variation from the initial Speed.
+  EMITTER_TYPE    type;              //!< The type of emitter this is
+  float           emitterSize;       //!< The size of the emitter (not for EMITTER_DOT)
+  Vector          direction;         //!< emition direction
+  float           angle;             //!< max angle from the direction of the emitter
+  float           randomAngle;       //!< random emission angle (angle +- angleRandom is the emitted angle.
+  float           emissionRate;      //!< amount of particles per seconds emitted by emitter.
+  float           velocity;          //!< the initial speed of a Particles.
+  float           randomVelocity;    //!< the random variation from the initial Speed.
 
-  float saveTime;       //!< The time that was missing by the last Tick (otherwise there would be no emission when framefate is too big).
+  float           saveTime;          //!< The time that was missing by the last Tick (otherwise there would be no emission when framefate is too big).
 };
 
Index: /orxonox/trunk/src/lib/particles/particle_engine.cc
===================================================================
--- /orxonox/trunk/src/lib/particles/particle_engine.cc	(revision 4477)
+++ /orxonox/trunk/src/lib/particles/particle_engine.cc	(revision 4478)
@@ -253,5 +253,4 @@
 /**
    \brief draws all the systems and their Particles.
-   \param dt the time passed in seconds (since the last Frame)
 */
 void ParticleEngine::draw() const
Index: /orxonox/trunk/src/lib/particles/particle_engine.h
===================================================================
--- /orxonox/trunk/src/lib/particles/particle_engine.h	(revision 4477)
+++ /orxonox/trunk/src/lib/particles/particle_engine.h	(revision 4478)
@@ -14,8 +14,9 @@
 template<class T> class tList;
 
-struct ParticleConnection
+//! A ParticleConnection enables us to emitt from any emitter into any other particleSystem
+typedef struct ParticleConnection
 {
-  ParticleEmitter* emitter;    //!< The emitter to emit system from.
-  ParticleSystem* system;      //!< The Particles emitted from emitter.
+  ParticleEmitter*    emitter;     //!< The emitter to emit system from.
+  ParticleSystem*     system;      //!< The Particles emitted from emitter.
 };
 
Index: /orxonox/trunk/src/lib/particles/particle_system.cc
===================================================================
--- /orxonox/trunk/src/lib/particles/particle_system.cc	(revision 4477)
+++ /orxonox/trunk/src/lib/particles/particle_system.cc	(revision 4478)
@@ -35,8 +35,6 @@
 /**
    \brief standard constructor
-   \param count the Count of particles in the System
+   \param maxCount the Count of particles in the System
    \param type The Type of the ParticleSystem
-
-   \todo this constructor is not jet implemented - do it
 */
 ParticleSystem::ParticleSystem (unsigned int maxCount, PARTICLE_TYPE type) : PhysicsInterface(this)
@@ -54,5 +52,4 @@
   this->glID = NULL;
   this->setType(type, 1);
-  //  this->setColor(1.0,1.0,1.0,1.0, .5,.5,.5,.5, .0,.0,.0,.0);
   ParticleEngine::getInstance()->addSystem(this);
 }
@@ -88,4 +85,6 @@
 
 /**
+   \param particleType the type of particles in this System
+   \param count how many particles (in PARTICLE_MULTI-mode)
    \todo this will be different
 */
@@ -115,4 +114,10 @@
 
 // setting properties
+/**
+   \brief sets the material to an external material
+   \param material: the material to set this material to.
+
+   !! important if the extern material gets deleted it MUST be unregistered here or segfault !!
+*/
 void ParticleSystem::setMaterial(Material* material)
 {
@@ -124,5 +129,4 @@
    \param value a Value between zero and one
 
-   
    if you want to change the value of this variable during emission time (to make it more dynamic)
    you may want to use the animation class
@@ -189,8 +193,9 @@
 /**
    \brief sets a key in the color-animation on a per-particle basis
-   \param lifeCycleTime the time (partilceLifeTime/particleAge) [0-1]
-   \param red red
-   \param green green
-   \param blue blue
+   \param lifeCycleTime: the time (partilceLifeTime/particleAge) [0-1]
+   \param red: red
+   \param green: green
+   \param blue: blue
+   \param alpha: alpha
 */
 void ParticleSystem::setColor(float lifeCycleTime, GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha)
@@ -270,5 +275,4 @@
     \brief applies some force to a Particle.
     \param field the Field to apply.
-    \param dt The time over which the field gets applied
  */
 void ParticleSystem::applyField(Field* field)
@@ -285,5 +289,4 @@
 /**
    \brief draws all the Particles of this System
-   \param the time passed in seconds (since the last draw)
 
    The Cases in this Function all do the same:
Index: /orxonox/trunk/src/lib/particles/particle_system.h
===================================================================
--- /orxonox/trunk/src/lib/particles/particle_system.h	(revision 4477)
+++ /orxonox/trunk/src/lib/particles/particle_system.h	(revision 4478)
@@ -15,20 +15,20 @@
 #include "quick_animation.h"
 
-#define PARTICLE_DOT_MASK           0x000001
-#define PARTICLE_SPARK_MASK         0x000010
-#define PARTICLE_SPRITE_MASK        0x000100
-#define PARTICLE_MODEL_MASK         0x001000
-#define PARTICLE_WORDL_ENTITY_MASK  0x010000
-#define PARTICLE_MULTI_MASK         0x100000
+#define PARTICLE_DOT_MASK              0x000001     //!< A Mask if the Particles should be displayed as DOTs
+#define PARTICLE_SPARK_MASK            0x000010     //!< A Mask if the Particles should be displayed as SPARKs
+#define PARTICLE_SPRITE_MASK           0x000100     //!< A Mask if the Particles should be displayed as SPRITESs
+#define PARTICLE_MODEL_MASK            0x001000     //!< A Mask if the Particles should be displayed as MODELSs
+#define PARTICLE_WORDL_ENTITY_MASK     0x010000     //!< A Mask if the Particles should be displayed as WORLD_ENTITIEs
+#define PARTICLE_MULTI_MASK            0x100000     //!< A Mask if they are Multi-partilces
 
 //! An enumerator for the different types of particles.
-typedef enum PARTICLE_TYPE {PARTICLE_DOT = PARTICLE_DOT_MASK,
-			    PARTICLE_SPARK = PARTICLE_SPARK_MASK,
-			    PARTICLE_SPRITE = PARTICLE_SPRITE_MASK,
-			    PARTICLE_MULTI_SPRITE = PARTICLE_SPRITE_MASK | PARTICLE_MULTI_MASK,
-			    PARTICLE_MODEL = PARTICLE_MODEL_MASK,
-			    PARTICLE_MULTI_MODE = PARTICLE_MODEL_MASK | PARTICLE_MULTI_MASK};
+typedef enum PARTICLE_TYPE { PARTICLE_DOT           =  PARTICLE_DOT_MASK,
+			     PARTICLE_SPARK         =  PARTICLE_SPARK_MASK,
+			     PARTICLE_SPRITE        =  PARTICLE_SPRITE_MASK,
+			     PARTICLE_MULTI_SPRITE  =  PARTICLE_SPRITE_MASK | PARTICLE_MULTI_MASK,
+			     PARTICLE_MODEL         =  PARTICLE_MODEL_MASK,
+			     PARTICLE_MULTI_MODE    =  PARTICLE_MODEL_MASK | PARTICLE_MULTI_MASK };
 
-#define PARTICLE_DEFAULT_MAX_COUNT    200               //!< a default count of particles in the system.
+#define PARTICLE_DEFAULT_MAX_COUNT    200               //!< A default count of particles in the system.
 #define PARTICLE_DEFAULT_TYPE         PARTICLE_SPRITE   //!< A default type of the system.
 
@@ -49,11 +49,9 @@
   Quaternion rotation;        //!< The current rotation of this particle.
   float mass;                 //!< The mass of this particle.
-  float massRand;
+  float massRand;             //!< A random mass
   float radius;               //!< The current size of this particle.
-  float radiusRand;
+  float radiusRand;           //!< a random Radius
 
   GLfloat color [4];          //!< A Color for the particles.
-
-  PARTICLE_TYPE type;
 
   Particle* next;             //!< pointer to the next particle in the List. (NULL if no preceding one)
@@ -98,4 +96,5 @@
 
   virtual void applyField(Field* field);
+  /** \brief this is an empty function, because the Physics are implemented in tick \param dt: useless here */
   virtual void tickPhys(float dt) {};
 
@@ -108,30 +107,30 @@
 
  private:
-  char* name;                // the Name of the Particle System
+  char*             name;                //!< the Name of the Particle System
 
-  float conserve;            //!< How much energy gets conserved to the next Tick.
-  float lifeSpan;            //!< Initial lifetime of a Particle.
-  float randomLifeSpan;      //!< A random value for the Lifespan (around the initial lifetime)
-  float initialMass;         //!< The initial Mass of the Particle
-  float randomInitialMass;   //!< The random initial Mass of the Particle
-  float inheritSpeed;        //!< How much speed the particle inherits from the Emitters speed \todo move this to the emitter
+  float             conserve;            //!< How much energy gets conserved to the next Tick.
+  float             lifeSpan;            //!< Initial lifetime of a Particle.
+  float             randomLifeSpan;      //!< A random value for the Lifespan (around the initial lifetime)
+  float             initialMass;         //!< The initial Mass of the Particle
+  float             randomInitialMass;   //!< The random initial Mass of the Particle
+  float             inheritSpeed;        //!< How much speed the particle inherits from the Emitters speed \todo move this to the emitter
 
   // particles
-  int maxCount;              //!< The maximum count of Particles.
-  int count;                 //!< The current count of Particles.
-  PARTICLE_TYPE particleType;//!< A type for all the Particles
-  Material* material;        //!< A Material for all the Particles.
-  Particle* particles;       //!< A list of particles of this System.
-  Particle* deadList;        //!< A list of dead Particles in the System.
+  int               maxCount;            //!< The maximum count of Particles.
+  int               count;               //!< The current count of Particles.
+  PARTICLE_TYPE     particleType;        //!< A type for all the Particles
+  Material*         material;            //!< A Material for all the Particles.
+  Particle*         particles;           //!< A list of particles of this System.
+  Particle*         deadList;            //!< A list of dead Particles in the System.
 
-  GLuint* glID;              //!< A List of different gl-List-ID's
-  GLuint dialectCount;       //!< How many different types of particles are there in the Particle System  
+  GLuint*           glID;                //!< A List of different gl-List-ID's
+  GLuint            dialectCount;        //!< How many different types of particles are there in the Particle System  
 
   // per particle attributes
-  QuickAnimation radiusAnim;
-  QuickAnimation randRadiusAnim;
-  QuickAnimation massAnim;
-  QuickAnimation randMassAnim;
-  QuickAnimation colorAnim[4];
+  QuickAnimation radiusAnim;             //!< Animation of the radius
+  QuickAnimation randRadiusAnim;         //!< Animation of the random Value of the radius
+  QuickAnimation massAnim;               //!< Animation of the mass
+  QuickAnimation randMassAnim;           //!< Animation of the random Mass
+  QuickAnimation colorAnim[4];           //!< Animation of the 4 colors (r,g,b,a)
 };
 